FIXPREMIUMGFF(1)

NAME
fixpremiumgff - repair BioWare GFF files from encrypted NWN premium module HAKs

SYNOPSIS
fixpremiumgff [options] input_file output_file

DESCRIPTION
In addition to being encrypted, the main HAK (ERF archive) of Neverwinter Nights premium modules also contains GFF files that have been deliberately broken. fixpremiumgff repairs those GFF files, turning them back into standard BioWare GFF files that can be read and manipulated by the usual GFF tools.

OPTIONS
-h
- -help
    Show a help text and exit.
- -version
    Show version information and exit.
- -id id
    Write the string id into the ID fields of the repaired GFF. By default, the ID is auto-detected from the file name of the broken file. For example, a broken module.ifo will by default turned into a standard GFF with an ID of “IFO”, while an aribeth.dlg will get the “DLG” ID.
input_file
    The GFF file to repair.
output_file
    The repaired GFF file be be written there. This can be the same as the input file, to repair a broken GFF file in-place.

EXAMPLES
Repair the file module.ifo:

    $ fixpremiumgff module.ifo module_fixed.ifo

Repair the file module.ifo, but overwrite the ID:

    $ fixpremiumgff --id DLG module.ifo module_fixed.ifo

Repair the file module.ifo in-place:

    $ fixpremiumgff module.ifo module.ifo

SEE ALSO
gff2xml(1), unerf(1)

More information about the xoreos project can be found on its website: https://xoreos.org/.

AUTHORS
This program is part of the xoreos-tools package, which in turn is part of the xoreos project, and was written by the xoreos team. Please see the AUTHORS file for details.